Bug 197546 - /etc/cron.daily/prelink aborts with error on vanilla system
/etc/cron.daily/prelink aborts with error on vanilla system
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: prelink (Show other bugs)
4.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 19:15 EDT by Sandor W. Sklar
Modified: 2012-06-20 09:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/prelink.log after the error is generated. (42.22 KB, text/plain)
2006-07-03 19:15 EDT, Sandor W. Sklar
no flags Details

  None (edit)
Description Sandor W. Sklar 2006-07-03 19:15:34 EDT
Description of problem:

Every time /etc/cron.daily/prelink runs, it aborts with an error.

Version-Release number of selected component (if applicable):

prelink-0.3.3-0.EL4


How reproducible:

totally consistant across five systems.

Steps to Reproduce:
1. Run the command /etc/cron.daily/prelink
2. See the STDERR:

  ./prelink: line 47: 30548 Aborted                 /usr/sbin/prelink -av $PRELINK_OPTS >>/var/log/
prelink.log 2>&1

3.  Look at the contents of /var/log/prelink.log  (which is attached.)
  
Actual results:

output on stderr every night from every machine.

Expected results:

no output on stderr for an unmodified command on an unmodified system.

Additional info:

/var/log/prelink.log attached.
Comment 1 Sandor W. Sklar 2006-07-03 19:15:34 EDT
Created attachment 131890 [details]
/var/log/prelink.log after the error is generated.
Comment 2 Sandor W. Sklar 2006-07-05 13:43:02 EDT
Problem resolved by appending "-l /usr/local/lib{,64}" to /etc/prelink.conf.

Comment 3 Rainer Traut 2007-01-04 09:21:29 EST
No, this does not solve the problem here.

# tail /var/log/prelink.log
Prelinking /sbin/pivot_root
Prelinking /usr/X11R6/bin/makepsres
Prelinking /usr/bin/dcopclient
Prelinking /usr/lib/vte/gnome-pty-helper
Prelinking /usr/bin/valgrind-listener
Prelinking /usr/X11R6/bin/xlsfonts
Prelinking /usr/sbin/kudzu
Prelinking /usr/bin/tail
Prelinking /usr/X11R6/lib/xscreensaver/hypertorus
Prelink failed with return value 134

strace:
brk(0x11b3000)                          = 0x11b3000
close(3)                                = 0
utime("/usr/X11R6/lib/xscreensaver/hypertorus.#prelink#.dobrOw",
[2007/01/04-14:43:41, 2006/04/20-18:43:46]) = 0
rename("/usr/X11R6/lib/xscreensaver/hypertorus.#prelink#.dobrOw",
"/usr/X11R6/lib/xscreensaver/hypertorus") = 0
stat("/usr/X11R6/lib/xscreensaver/hypertorus", {st_mode=S_IFREG|0755,
st_size=77680, ...}) = 0
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
getpid()                                = 4970
kill(4970, SIGABRT)                     = 0
--- SIGABRT (Aborted) @ 0 (0) ---
+++ killed by SIGABRT +++    

/etc/prelink.conf has:
-l /usr/local/lib{,64}

Sys: EL4 U4 x86_64, Dell PE1850

I have deleted prelink.cache to test, prelink.cache is never recreated.
Comment 4 Jiri Pallich 2012-06-20 09:17:10 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.